local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("enterigreja") then

    disablePause()
    player.ForceCameraUpdate = true
    doFadeWipe(true)
    wait(1.5)

    walk(50)
    setFlag("enterigreja", false)
    setFlag("verbadeline")
    enableMovement()
    enablePause()

  end

end